<-- previous page Table of Contents Index next page -->

# PARAMETERS

Parameters can be set in various contexts. All parameters have default values, so that you need to explicitly set them only if you want some value other than the default value.

Some parameters can be set only in the score context. Others can be set in either score or staff contexts. A few can be set in score, staff, or voice context. If a given parameter can be set in several contexts, the value is that of the parameter at the most specific context in which it is set. For example, if Mup is working on musical data for voice 2 of staff 5, and it needs to look up the value of a parameter, it will first see if that parameter has been set in context "voice 5 2". If so, it will use that value. If not, it will see if the parameter was set in context "staff 5". If that has not been set either, it will use the value from the score context. The score context initially has all parameters set to their default values. There are a few parameters, mostly related to font and text size, that can also be set in header, footer, and similiar contexts.

Parameters are set by the following syntax:

    parameter_name=value

Several parameters can be set on a single line by separating them with a semicolon. For example:

    staffs=2 ; key=2& ; time=2/4

Parameters can be unset in staff or voice context using

    unset parameter_name

Unsetting a parameter in staff context will cause it to revert to its value in score context (unless overridden in voice context). Unsetting a parameter in voice context will cause it to revert to its value in staff context if that is set, otherwise to its value in score context.

It is possible to take a "snapshot" of the current state of all the parameters, and then restore that state later. This is done in the "control" context. When you want to take a snapshot, you do

    control
      saveparms "some name"

and then to restore, you do

    control
      restoreparms "some name"

using whatever name you used for the save. The name can be anything you like. You can save as often as you like. You can restore from any previous save.

Here is a simple example that saves the default parameter settings, changes three parameters, and saves again under a different name. It then uses the changed parameters for one measure, restores back to the defaults for one measure, then restores to the changed values for a measure.

    control
    	saveparms "default"
    score
    	time=cut
    	beamstyle=2,2
    	key=3&
    control
    	saveparms "22"
    music
    1: 8c;;;;2e;
    bar
    control
    	restoreparms "default"
    music
    1: 8d;;;;2f;
    bar
    control
    	restoreparms "22"
    music
    1: 8e;;;;2g;
    endbar

Sometimes when you use saveparms/restoreparms, you may want to use savemacros/restoremacros as well.

The parameters are listed below in alphabetical order. For each, the description includes the parameter's name, legal values, default value, when it takes effect, and contexts in which the parameter can be set, along with an example of its usage. If there are other related parameters, they are referenced as well.

## Index of parameters

A B C D E F G I K L M N O P R S T U V W

### A

a4freq
aboveorder
acctable
addtranspose
alignped
alignrests

### B

barstyle
beamslope
beamstyle
beloworder
betweenorder
bottommargin
brace
bracket
bracketrepeats

### C

cancelkey
carryaccs
chorddist
clef
cue

### D

defaultkeymap
defoct
dist
division
dyndist

### E

emptymeas
endingkeymap
endingstyle
extendlyrics

### F

firstpage
flipmargins
font
fontfamily

### G

gridfret
gridsatend
gridscale
gridswhereused

### I

indentrestart

### K

key

### L

label
label2
labelkeymap
leftmargin
leftspace
lyricsalign
lyricsdist
lyricsfont
lyricsfontfamily
lyricskeymap
lyricssize

### M

maxmeasures
maxscores
measnum
measnumfont
measnumfontfamily
measnumsize
measnumstyle
minalignscale
mingridheight

### N

noteheads
noteinputdir
numbermrpt

### O

ontheline

### P

packexp
packfact
pad
pageheight
pagesize
pagewidth
panelsperpage
pedstyle
printkeymap
printmultnum

### R

rehearsalkeymap
rehstyle
release
repeatdots
restcombine
restsymmult
rightmargin

### S

scale
scorepad
scoresep
size
slashesbetween
stafflines
staffpad
staffs
staffscale
staffsep
stemlen
stemshorten
swingunit
sylposition

### T

tabwhitebox
textkeymap
time
timeunit
topmargin
transpose
tuning

### U

units
useaccs

### V

vcombine
visible
vscheme

### W

warn
withfont
withfontfamily
withkeymap
withsize

## a4freq

specify the frequency, in Hertz, of the A in octave 4, which is the A above middle C.

Value: 100.0 to 1000.0

Default value: 440.00

Context: score

Takes effect: at next music context

Example:
a4freq = 420.15

Related parameters: acctable, tuning

## aboveorder

specify in what order to stack items that are printed above a staff. The value is a comma-separated list of all the types of things that can be printed above a staff. Items are stacked in the order listed, starting from just above the staff and working upward. If you want several types to be handled as a single category, with all types in the category having the same stacking priority, separate them with an ampersand rather than a comma. The ampersand cannot be used with lyrics, ending, or reh. The dyn category applies to crescendo and decrescendo marks (from "<" and ">" statements) as well as text with the dyn modifier. The chord category applies to text with chord, analysis, or figbass modifiers. The othertext category applies to rom, bold, ital, and boldital items that do not have a chord, analysis, figbass, or dyn modifier. If you omit any categories, they will be stacked last, in their default order.

Value: mussym, octave, dyn, othertext, chord, lyrics, ending, reh

Default value: mussym, octave, dyn & othertext & chord, lyrics, ending, reh

Context: score, staff

Takes effect: at start of next score

Example:
aboveorder = mussym, lyrics, dyn, octave, othertext, chord, ending, reh

Related parameters: beloworder, betweenorder, chorddist, dist, dyndist

## acctable

specify which table of accidentals, as defined in an accidentals context, to use. It can be set to nothing, to mean to use only the normal standard accidentals (#, &, x, &&, n) with their default meanings as implied by the tuning parameter.

Value: A quoted string that matches the name used for an accidental context

Default value: not set

Context: score

Takes effect: at next music context

Examples:
acctable = "my_accs"
acctable = // set back to default

Related parameters: a4freq, tuning

## addtranspose

specify by what additional interval to transpose the music data. There is another parameter called just transpose. Typically you would use the transpose parameter to change the key of individual staffs (for transposing instruments), and then use the addtranspose parameter if you want to change the key of the entire score. But either of these parameters can be used either way. In any case, for each staff, and for the score, the values of transpose and addtranspose are "added" to find the transposition for that staff or score. The interval can be larger than an octave, but must be a valid interval (e.g., there is no such thing as a perfect 6th). It is an error to specify a transposition value which would result in a key signature with more than 7 flats or sharps. It is also an error if transposition would result in a note requiring a triple sharp or triple flat.

Value: the word "up" or "down," followed by an interval and a whole number greater than 0. The interval is one of major, minor, augmented, diminished, or perfect. The intervals can be abbreviated to their first 3 letters (maj, min, aug, dim, or per). The section on transposition lists transposition intervals and gives further details. Depending on which key signature you are transposing from, some transposition intervals may not work because they result in more than 7 flats or sharps.

Default value: up perfect 1 (i.e., no transposition)

Context: score, staff

Takes effect: at next music context

Examples:
addtranspose = down major 3
addtranspose = up perfect 5

Related parameters: a4freq, key, transpose, useaccs

## alignped

If set to n, this parameter allows pedal marks to individually move closer to the staff. If set to y, all pedal marks on a score are aligned. If set to n, you can use align on pedal marks, and in either case, you can use dist, to force them to a particular place.

Value: y or n

Default value: y

Context: score, staff

Takes effect: at start of next score

Example:
alignped=n

Related parameters: pedstyle

## alignrests

This parameter controls whether rests stay as close to the middle of the staff as possible, or whether they are adjusted to align with the notes surrounding them. If the value is 'n' no alignment to the notes is done. If the value is 'y' rests are moved to try to follow the flow of the voice. The alignment of rests with notes is only done when the vscheme parameter is something other than 1, and if there are no non-space chords in voice 3. It is not used on voice 3. This parameter can be changed in mid-measure. Only notes that are inside the time period when this parameter is set to y will affect alignment.

Value: y or n

Default value: n

Context: score, staff, voice

Takes effect: at next music context, or immediately if mid-measure

Example:
alignrests=y

Related parameters: vscheme

## barstyle

specifies which staffs are to have their bar lines connected together. When drawing bar lines, a continuous vertical line will be drawn from the top line of the top staff in a range to the bottom line of the bottom staff of the range. Any staff not listed will be barred by itself, with the bar line spanning only the height of the staff.

Value: a comma-separated list of staff numbers and/or ranges of staff numbers. Staff numbers can be from 1 to the value of the "staffs" parameter. A range is a pair of numbers separated by a dash. A given staff number can be specified only once, and there can be no overlapping between ranges.

Default value: each visible staff barred individually

Context: score

Takes effect: at next music context

Example:
barstyle = 1-2, 5-8

Related parameters: staffs, visible

## beamslope

allows you to control the slope of beams. Two values must be given, separated by a comma. Mup calculates an appropriate slope for beams by applying a linear regression algorithm that uses the positions of the note heads within the beam. The first value supplied for the beamslope parameter is a factor by which to multiply the default slope that Mup calculates. The minimum value of 0.0 would cause all beams to be horizontal, whereas the maximum value of 1.0 will use the slope Mup calculates. Intermediate values will yield beams that are less slanted than the default slope calculation. The second value given to the beamslope parameter is the maximum angle for the beam, in degrees. If the originally calculated value multiplied by the factor yields an angle of greater than this maximum angle, the maximum angle will be used. Cross-staff beams that are between staffs are allowed to have a slope up to 1.4 times the value of the slope of the maximum angle, since they face more constraints. The slope can be overridden on a particular beam by specifying a slope as an interchord attribute on the first chord of the beamed set.

Value: 0.0 to 1.0 for the factor, and 0.0 to 45.0 for the maximum angle

Default value: 0.7, 20.0

Context: score, staff, voice

Takes effect: at next music context

Example:
beamslope=0.8,20

## beamstyle

specifies how to beam eighth notes or shorter. It is specified as a list of time values. Any number of notes up to each time value will be beamed together. For example, in 4/4 time, with beamstyle=4,4,4,4 each quarter note worth of shorter notes would be beamed together. However, beams would not span across beats. As another example, for an input of 4.; 8; 8; 4.; the two eighth notes would not be beamed together, because they span beats. If beamstyle had been specified as 4,2,4 then the eighth notes would be beamed. Normally, beams also end whenever a rest or space is encountered. However, if an "r" is placed at the end of the list of time values, Mup will beams across rests of less than quarter note duration. Similarly, if an "s" is placed at the end of the list, Mup will beam across spaces of less than quarter note duration. You can specify both r and s in either order. It is possible to specify subbeams, or secondary groupings within a beam, by enclosing a list of time values in parentheses. In this case, the outer beam extends for the sum of the values in the parentheses, while inner beams extend only for the individual values within the parentheses. For example, if you set beamstyle=(4,4),(4,4) and then have a measure that consists of all 16th notes, the first 8 notes would be connected by an outer beam, as would the last 8 notes, but the second (inner) beams would cover only 4 notes each. The parentheses cannot be nested. It is possible to override this default beaming style within a specific measure. See the section on Custom Beaming for examples of how to obtain various kinds of beaming. The value of the beamstyle parameter is remembered for any later changes back to the same time signature. In other words, if you set the value of the time parameter and the beamstyle parameter in the same context, then later set only the time, the beamstyle that you had set earlier will be used again.

Value: a comma-separated list of time values that add up to a measure. Time values are specified as 4 for a quarter note, 2 for half note, etc, and can be dotted if necessary, or an expression with added and/or subtracted times. The list can optionally be followed by an "r" to indicate beams should span rests. It can optionally be followed by "s" to indicate beams should span spaces. Two or more of the time values may be enclosed in parentheses, to indicate sub-groupings of inner (secondary) beams within outer (primary) beams. If the value is empty, automatic beaming is turned off.

Default value: no beams; each note of eighth or shorter duration is individually flagged.

Context: score, staff, and voice

Takes effect: immediately for purposes of checking for interactions with other parameters, at next music context for printing

Examples:
beamstyle = 4,4,4,4
beamstyle = 2.
beamstyle=4+16, 4+16
beamstyle = 2, 2 rs // beam across rests and spaces
beamstyle = (4., 4., 4.) // one outer beam per measure,
// with inner beams broken at each dotted quarter duration
beamstyle = // turn off beaming

## beloworder

specify in what order to stack items that are printed below a staff. The value is a comma-separated list of all the types of things that can be printed below a staff. Items are stacked in the order listed, starting from just below the staff and working downward. If you want several types to be handled as a single category, with all types in the category having the same stacking priority, separate them with an ampersand rather than a comma. The ampersand cannot be used with lyrics or pedal. The dyn category applies to crescendo and decrescendo marks (from "<" and ">" statements) as well as text with the dyn modifier. The chord category applies to text with chord, analysis, or figbass modifiers. The othertext category applies to rom, bold, ital, and boldital items that do not have a chord, analysis, figbass, or dyn modifier. If you omit any categories, they will be stacked last, in their default order.

Value: mussym, octave, dyn, othertext, chord, lyrics, pedal

Default value: mussym, octave, dyn & othertext & chord, lyrics, pedal

Context: score, staff

Takes effect: at start of next score

Example:
beloworder = mussym, lyrics, dyn, octave, othertext, chord, pedal

Related parameters: aboveorder, betweenorder, chorddist, dist, dyndist

## betweenorder

specify in what order to stack items that are printed between two staffs. The value is a comma-separated list of all the types of things that can be printed between staffs. Items are stacked in the order listed, starting from a baseline and working upward. If you want several types to be handled as a single category, with all types in the category having the same stacking priority, separate them with an ampersand rather than a comma. The ampersand cannot be used with lyrics. The dyn category applies to crescendo and decrescendo marks (from "<" and ">" statements) as well as text with the dyn modifier. The chord category applies to text with chord, analysis, or figbass modifiers. The othertext category applies to rom, bold, ital, and boldital items that do not have a chord, analysis, figbass, or dyn modifier. If you omit any categories, they will be stacked last, in their default order.

Value: mussym, dyn, othertext, chord, lyrics,

Default value: mussym, dyn & othertext & chord, lyrics

Context: score, staff

Takes effect: at start of next score

Example:
betweenorder = mussym, lyrics, dyn & othertext, chord

Related parameters: aboveorder, beloworder, chorddist, dist, dyndist

## bottommargin

sets the amount of white space margin to put at the bottom of each page. It is specified in inches if the units parameter is set to inches, or in centimeters if the units parameter is set to cm. This parameter can only be specified before any music or block input. Margins are unaffected by the "scale" parameter. The parameter name can be abbreviated to just "botmargin" if you wish.

Value: 0.0 to pageheight minus 0.5 inches

Default value: 0.5 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
bottommargin = 0.8

Related parameters: leftmargin, rightmargin, topmargin pageheight units

## brace

specifies which staffs are to be grouped together with a brace to the left of the score. If there is a string given in parentheses, that string will be used as the label to print on the next score, left of the bracket at its vertical center. If there is a second string, that will be used as the label for succeeding scores.

Value: a comma-separated list of staffs and/or staff ranges, each optionally followed by one or two double-quoted strings enclosed in parentheses. If there are two strings, they are separated by a comma. Staff numbers can range from 1 to the value of the "staffs" parameter. A given staff number can be specified only once, and there can be no overlapping between ranges. Giving no value will result in no braces on any staffs.

Default value: no staffs are grouped by braces.

Context: score

Takes effect: immediately for purposes of checking for interactions with other parameters, at next score for printing

Examples:
brace = 3-4
brace = 1, 2-3, 4, 5-6
brace = 1-2 ("piano"), 3 ("cello")
brace = 1-2 ("Primo", "I")
brace = // no braces at all (the default)

Related parameters: bracket, label, label2, staffs

## bracket

specifies which staffs are to be grouped together with a bracket to the left of the score. If there is a string given in parentheses, that string will be used as the label to print on the next score, left of the bracket at its vertical center. If there is a second string, that will be used as the label for succeeding scores.

Value: a comma-separated list of staffs and/or staff ranges, each optionally followed by one or two double-quoted strings enclosed in parentheses. If there are two strings, they are separated by a comma. Staff numbers can range from 1 to the value of the "staffs" parameter. A bracket range can overlap another bracket range, as long as one range is a proper subset of the other. Giving no value will result in no brackets on any staffs.

Default value: no staffs are grouped by brackets.

Context: score

Takes effect: immediately for purposes of checking for interactions with other parameters, at next score for printing

Examples:
bracket = 6-7
bracket = 17, 21-23
bracket = 8-9 ("SATB")
bracket = 10-12 ("Strings", "Str")
bracket = // no brackets at all (the default)

Related parameters: brace, label, label2, staffs

## bracketrepeats

When set to y, brackets are drawn at repeat signs to make it more obvious to the performer where the repeated section begins and ends, which may be helpful when playing in a dimly lit area. Which staffs are bracketed together is controlled by the endingstyle parameter.

Value: y or n

Default value: n

Context: score

Takes effect: at next music context

Example:
bracketrepeats=y

Related parameters: endingstyle, repeatdots,

## cancelkey

When set to y, when a key changes, any sharps or flats in the previous key that are not part of the new key will be canceled by printing natural signs, before printing the new key signature. When set to n, the naturals will only be printed if the new key has no sharps or flats.

Value: y or n

Default value: n

Context: score, staff

Takes effect: at next music context

Example:
cancelkey=y

Related parameters: key, useaccs

## carryaccs

this specifies for MIDI whether accidentals follow the normal notation rules of carrying through the remainder of the current measure until explicitly changed. If set to n, each accidental will apply only to the specific chord where it was specified.

Value: y or n

Default value: y

Context: score, staff

Takes effect: at next music context

Example:
carryaccs = n

Related parameters: useaccs

## chorddist

sets minimum distance from staff to place chords. When chord marks are printed, they will be placed no closer to the staff than the value of this parameter. This can be used to reduce the ragged effect of having some chord marks much higher than others, because other things were in their way. If a specific chord mark has to be moved farther away than this parameter to avoid running into something, that will still happen, but any others will come out at the level specified by this parameter. This parameter may be overridden on specific items. The section on tempo, dynamic marks, ornaments, etc. gives details on how to do this.

Value: a number between 0.0 and 50.0 inclusive, given in stepsizes.

Default value: 3.0

Context: score, staff

Takes effect: at next music context

Example:
chorddist = 4

Related parameters: dyndist, dist, lyricsdist, scorepad, scoresep

## clef

sets the clef to use. Changing a clef may also change the default octave (see the "defoct" parameter below).

Value: treble, treble8, 8treble, frenchviolin, soprano, mezzosoprano, alto, tenor, baritone, bass, 8bass, bass8, or subbass. The treble8 clef looks like a treble clef with an 8 below it, and refers to notes that are an octave lower than a normal treble clef. The 8treble clef looks like a treble clef with an 8 above it, and refers to notes that are an octave higher than a normal treble clef. The bass8 clef looks like a bass clef with an 8 below it, and refers to notes that are an octave lower than a normal bass clef. The 8bass clef looks like a bass clef with an 8 above it, and refers to notes that are an octave higher than a normal bass clef. The subbass clef looks like a bass clef, but placed two stepsizes higher on the staff. If the stafflines parameter includes the "drum" keyword, then the value of this clef parameter is only used for determining the placement of notes on the staff, with the drum (or "neutral") clef actually printed. Clef can be changed in the middle of a measure using a construct like <<staff clef=bass>> before a note group.

Default value: treble

Context: score, staff

Takes effect: at next music context, or immediately if mid-measure

Example:
clef = alto

Related parameters: defoct, stafflines

## cue

If set to y, all notes are made cue size. This lets you have a long passage of cue notes without having to specific [cue]... over and over.

Value: y or n

Default value: n

Context: score, staff, voice

Takes effect: immediately

Example:
cue=y

## defaultkeymap

specifies which keymap to use if none of the other keymap parameters applies. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") or nothing means don't do any mapping.

Default value: nothing

Context: score, staff

Takes effect: immediately

Examples:
defaultkeymap="Cyrillic"
defaultkeymap=

Related parameters: endingkeymap, labelkeymap, lyricskeymap, printkeymap, rehearsalkeymap, textkeymap, withkeymap

## defoct

sets the default octave for any note which does not have an explicit octave specified. An octave goes from C up to the next B, with octave 4 being the octave beginning on middle C. If the clef is changed on a staff, the default octave is changed to match the new clef. defoct can be changed in the middle of a measure using a construct like <<staff defoct=5>> before a note group.

Value: a number from 0 to 9 inclusive. Octave 4 is the octave beginning at middle C.

Default value: the octave containing the note represented by the middle line of the staff given the current clef. (Octave 5 for frenchviolin and 8treble; octave 4 for treble, soprano, mezzosoprano, alto and 8bass clefs; octave 3 for treble8, tenor, baritone and bass clefs; octave 2 for bass8 and subbass clefs).

Context: score, staff, voice

Takes effect: immediately for purposes of checking for interactions with other parameters, at next music context for printing

Example:
defoct = 3

## dist

sets minimum distance from staff to place rom, bold, ital, and boldital items, and rehearsal marks. When these items are printed, they will be placed no closer to the staff than the value of this parameter. This can be used to reduce the ragged effect of having some items much higher than others, because other things were in their way. If a specific item has to be moved farther away than this parameter to avoid running into something, that will still happen, but any others will come out at the level specified by this parameter. If an item is also a chord, the chorddist parameter will be used instead of dist. This parameter may be overridden on specific items. The sections on tempo, dynamic marks, ornaments, etc. and on rehearsal marks give details on how to do this.

Value: a number between 0.0 and 50.0 inclusive, given in stepsizes.

Default value: 2.0

Context: score, staff

Takes effect: at next music context

Example:
dist = 6

Related parameters: chorddist, dyndist, lyricsdist, scorepad, scoresep

## division

sets MIDI division (number of clock ticks per quarter note). This typically has a value of 192 or 384. This parameter can only be specified before any music or block input.

Value: 1 to 1536

Default value: 192

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
division = 384

## dyndist

sets minimum distance from staff to place crescendo and decrescendo marks. and text that is marked "dyn." When these items are printed, they will be placed no closer to the staff than the value of this parameter. This can be used to reduce the ragged effect of having some items much higher than others, because other things were in their way. If a specific item has to be moved farther away than this parameter to avoid running into something, that will still happen, but any others will come out at the level specified by this parameter. This parameter may be overridden on specific items. The section on tempo, dynamic marks, ornaments, etc. gives details on how to do this.

Value: a number between 0.0 and 50.0 inclusive, given in stepsizes.

Default value: 2.0

Context: score, staff

Takes effect: at next music context

Example:
dyndist = 4

Related parameters: chorddist, dist, lyricsdist, scorepad, scoresep

## emptymeas

By default, if you don't specify any music input for a given voice, Mup just leaves a measure of space. This parameter lets you specify what Mup should use. The most common value other than space would be a measure of rest, but you can supply any valid music input. So, for example, if your music has a measure long pattern that repeats frequently in some voice, you could set this parameter to that pattern, and Mup will fill in that music for every measure where you don't override with something else. The value is a string, and is effectively placed in the input as if you had typed it yourself. Note that since errors in the string will generally not be caught until it is actually used, error messages may reference a line a long ways away from the line where the parameter is defined. Note also that since the value is a text string, all the usual rules for text strings apply; for example any double quotes inside the string must be backslashed. Since the processing of emptymeas happens before the derivation of music on tabnote staffs, you probably do not want to set a tabnote staff to something like emptymeas="mr;" unless the tab staff is also going to be all rests, because that would override the music derivation. Also, when you have set the vscheme to have two or three voices just because there are a few spots in the song that need more than one, you probably only want to set emptymeas="mr;" on voice 1, or you will likely get more rests than you intended.

Value: a text string (enclosed in double quotes, as usual), containing music input

Default value: ms;

Context: score, staff, voice

Takes effect: at next music context

Examples:
emptymeas="mr;"
emptymeas="8.c;16;8.e;16;8.f;16;{8g;f;g;}3;"

## endingkeymap

specifies which keymap to use for labels of endings See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: at next music context

Examples:
endingkeymap="Greek"
endingkeymap=

Related parameters: defaultkeymap, labelkeymap, lyricskeymap, printkeymap, rehearsalkeymap, textkeymap, withkeymap

## endingstyle

controls how first and second endings are placed. This parameter also controls where measure numbers and rehearsal marks are placed, as well as which staffs are bracketed together if the bracketrepeats parameter is set. A value of "top" means that the endings and similar marks will be shown only above the top visible staff. A value of "barred" means these marks will be shown above each set of staffs that is barred together. Each staff that is barred individually will also have the ending shown above it. (See the "barstyle" parameter above.) A value of "grouped" means the marks will be shown above the top visible staff of each range of staffs that are joined by a brace or bracket. In all cases, at least the top visible staff will have endings shown above it.

Value: top, barred, or grouped

Default value: top

Context: score

Takes effect: at next music context

Example:
endingstyle = grouped

Related parameters: barstyle, brace, bracket, bracketrepeats, measnum, rehstyle, visible

## extendlyrics

this specifies whether Mup should automatically add underscore "extender lines" to lyrics. This parameter only has effect when you let Mup derive the time values for lyrics, rather than specifying them explicitly. When the parameter is set to y, and Mup finds a tie or slur in the voice from which lyrics time values are being derived, an underscore will be added to the corresponding syllable, if that syllable doesn't already end with a dash or underscore.

Value: y or n

Default value: n

Context: score, staff, voice

Takes effect: at next music context

Example:
extendlyrics=y

Related parameters: sylposition

## firstpage

specifies what to number the first page. This value can be overridden by the -p command line option. The number can be optionally followed by "leftpage" or "rightpage" to say whether any header, footer, top, or bottom block on the first page should use the left or right page versions, if those are different. This parameter can only be set before any music or block input.

Value: 1 to 5000

Default value: 1 rightpage (unless panelsperpage=2, in which case the page side will be leftpage)

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Examples:
firstpage = 12
firstpage = 1 leftpage

Related parameters: panelsperpage

## flipmargins

specifies if the left and right margins are to be interchanged on every other page. This may be useful if you want extra space for book binding. If set to y, the first physical page will use the values of leftmargin and rightmargin as is, but on the second page, and every other page thereafter, the value for rightmargin will be used for the left margin and the value for leftmargin will be used for the right margin. The settings of the firstpage parameter or the option to print only selected pages have no effect on this parameter.

Value: y or n

Default value: n

Context: score

Takes effect: at next page

Example:
flipmargins = y

Related parameters: leftmargin, rightmargin

## font

specifies which font to use for print, left, right, center, and title statements, and "with" lists (i.e., strings that are associated with a particular chord).

Value: rom, ital, bold, or boldital

Default value: rom

Context: score, staff, header, footer, header2, footer2, top, bottom, top2, bottom2, block

Takes effect: immediately

Example:
font = boldital

Related parameters: fontfamily, lyricsfont, lyricsfontfamily, size, withfont

## fontfamily

specifies what font family to use for print, left, right, center, and title statements and "with" lists (i.e., strings that are associated with a particular chord). It also provides the default for rom, bold, ital, and boldital statements.

Value: avantgarde, bookman, courier, helvetica, newcentury, palatino, times

Default value: times

Context: score, staff, header, footer, header2, footer2, top, bottom, top2, bottom2, block

Takes effect: immediately

Example:
fontfamily=palatino

Related parameters: font, lyricsfont, lyricsfontfamily, withfontfamily

## gridfret

specifies when to print fret numbers on grids. Normally, the top line of a grid represents the nut. However, if the fingering for a chord is rather far up the neck, it is customary to have the top line of the grid represent some other fret, and print a fret number and "fr" next to the grid, showing the actual fret of the lowest fret mark. This parameter controls when Mup begins using this alternate format. Whenever all the frets of a chord are greater than or equal to the value specified for this parameter, and there are no strings marked "o", the "fr" notation is used. If no value is set for this parameter, the grid will just be made as tall as necessary to accommodate the chord's frets; but in any case, the grid will always be at least 4 frets high.

Value: 2 to 99, or not set

Default value: 4

Context: score, staff

Takes effect: at next music context

Examples:
gridfret = 3
gridfret =

Related parameters: gridsatend, gridscale, gridswhereused, mingridheight

## gridsatend

specifies whether to print guitar grids at the end of the song. If set to "y" grids for all of the chords used in the song will be printed.

Value: y or n

Default value: n

Context: score

Takes effect: During each music context where this has been set to y it accumulates chords that are used. If you later set it to n, it stops accumulating, but doesn't forget the ones it accumulated earlier. At the end, it prints out whatever ones it has accumulated, even if the flag is n at that time.

Example:
gridsatend = y

Related parameters: gridfret, gridscale, gridswhereused, mingridheight

## gridscale

specifies how large to make grids, relative to their default size. For example, a value of 0.5 will make them 1/2 their default size. The default size for grids summarized at the end of the song (the gridsatend parameter) is larger than the default size for those printed with the music (the gridswhereused parameter).

Value: 0.1 to 10.0

Default value: 1.0

Context: score, staff

Takes effect: at next music context

Example:
gridscale = 0.5

Related parameters: gridsatend, gridfret, gridswhereused, mingridheight, scale, staffscale

## gridswhereused

specifies whether to print guitar grids along with chords where they appear in the song. If set to "y" each text item with the chord modifier will have a grid printed below its name.

Value: y or n

Default value: n

Context: score, staff

Takes effect: at next music context

Example:
gridswhereused = y

Related parameters: gridfret, gridsatend, gridscale, mingridheight

## indentrestart

specifies whether a restart should be indented when it occurs at the beginning of a new score. It does not affect restarts that occur in the middle of a score.

Value: y or n

Default value: n

Context: score

Takes effect: at next music context

Example:
indentrestart = y

## key

sets the key signature. This can be specified either by giving the number of sharps (#) or flats (&), or by giving the name of the key.

Value: If using the number of sharps/flats format, the value is a number from 0 to 7, followed by "#" or "&," optionally followed by "major" or "minor." 0& and 0# are equivalent. If using the name of the key, the value is a letter "a" through "g," optionally followed by a "#" or "&," optionally followed by "major" or "minor." The "major" and "minor" can be abbreviated to "maj" or "min." The "major" or "minor" is used for MIDI file purposes, and is optional; if omitted, it defaults to major. If you wish to use a mode other than major or minor, you have to specify the number of sharps or flats.

Default value: c major

Context: score, staff

Takes effect: at next music context

Examples:
key = 3&
key = 6#
key = c# minor
key = d major

Related parameters: addtranspose, carryaccs, stafflines, transpose, useaccs

## label

specify a label to be printed to the left of the staff on the next score. If there is also a brace or bracket label, that label will be to the left of this label. There is a label2 parameter that is used on subsequent scores. In addition to being used for the very first score of a song, this label parameter might be used to clearly mark a change in instrumentation or voices for a particular staff. The label2 would typically be changed at the same time, giving a more abbreviated label. For example, you might set label="Tenor/Bass" and label2="TB"

Value: a text string enclosed in double quotes.

Default value: enough spaces to produce an indent of 1/2 inch

Context: score, staff

Takes effect: at start of next score

Example:
label = "oboe"

Related parameters: brace, bracket, label2

## label2

specify a label to be printed to the left of the staff on all scores after the first. If there is also a brace or bracket label, that label will be to the left of this label. If both the label and label2 parameters are set at the same time, the label value will be used for the immediately following score, with the label2 value used for subsequent scores. If however, after the first score, only the label2 is changed, then the label2 value will be used on the immediately following score as well as subsequent scores.

Value: a text string enclosed in double quotes

Default value: no label

Context: score, staff

Takes effect: at start of next score

Example:
label2 = "Solo"

Related parameters: brace, bracket, label

## labelkeymap

specifies which keymap to use for labels to the left of staffs. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: immediately

Examples:
labelkeymap="Cyrillic"
labelkeymap=

Related parameters: defaultkeymap, endingkeymap, lyricskeymap, printkeymap, rehearsalkeymap, textkeymap, withkeymap

## leftmargin

sets the amount of white space margin to put at the left side of each page. It is specified in inches if the units parameter is set to inches, or in centimeters if the units parameter is set to cm. This parameter can only be specified before any music or block input. Margins are unaffected by the "scale" parameter. You can use the flipmargins parameter to adjust alternating pages to allow room for book binding.

Value: 0.0 to pagewidth minus 0.5 inches

Default value: 0.5 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
leftmargin = 0.3

Related parameters: bottommargin, flipmargins, rightmargin, topmargin, pagewidth, units

## leftspace

specifies what portion of the white space around a chord is placed on its left side. Usually (unless packexp is zero), longer notes will have more white space around them than shorter notes, which means that the white space to their left is also larger. The parameter allows you to control how pronounced that effect is, or even specify to put all the space on the right. Two numbers must be specified, separated by a comma. They may include decimal fraction parts. The first specifies what portion of the white space should go on the left. The second specifies a maximum amount of white space, in stepsizes. So if the amount calculated by the first number is greater than the second number, the second number will be used.

Value: first number 0.0 to 0.5 and second number 0.0 to 100.0

Default value: 0.15, 5.0

Context: score

Takes effect: at next music context

Example:
leftspace = 0.2, 4

Related parameters: lyricsalign, packexp, packfact

## lyricsalign

specifies how to align lyric syllables with chords. Its value is the proportion of each syllable to place to the left of the syllable's chord. Thus for example, a value of 0.0 causes the left edge of syllables to be aligned with the chords, whereas a value of 0.5 causes syllables to be centered with the chord, and 1.0 causes the right edge of the syllables to be aligned with the chord.

Value: 0.0 to 1.0

Default value: 0.25

Context: score, staff

Takes effect: at next music context

Example:
lyricsalign = 0.1

Related parameters: sylposition

## lyricsdist

sets minimum distance from staff to place lyrics. When lyrics are printed, they will be placed no closer to the staff than the value of this parameter. This only affects lyrics above and below, not between.

Value: a number between 0.0 and 50.0 inclusive, given in stepsizes.

Default value: 2.0

Context: score, staff

Takes effect: at start of next score

Example:
lyricsdist = 4

Related parameters: chorddist, dyndist, dist, scorepad, scoresep

## lyricsfont

sets which font to use for lyrics.

Value: rom, ital, bold, boldital

Default value: rom

Context: score, staff

Takes effect: immediately

Example:
lyricsfont = ital

Related parameters: font, lyricssize

## lyricsfontfamily

specifies what font family to use for lyrics.

Value: avantgarde, bookman, courier, helvetica, newcentury, palatino, times

Default value: times

Context: score, staff

Takes effect: immediately

Example:
lyricsfontfamily=helvetica

Related parameters: font, fontfamily, lyricsfont

## lyricskeymap

specifies which keymap to use for lyrics. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: at next music context

Examples:
lyricskeymap="Cyrillic"
lyricskeymap=

Related parameters: defaultkeymap, endingkeymap, labelkeymap, printkeymap, rehearsalkeymap, textkeymap, withkeymap

## lyricssize

sets point size to use for lyrics.

Value: a number from 1 to 100

Default value: 12

Context: score, staff

Takes effect: at next music context

Example:
lyricssize = 10

Related parameters: lyricsfont, lyricsfontfamily, size

## maxmeasures

specifies the maximum number of measures to put on any score.

Value: a number from 1 to 1000

Default value: 1000

Context: score

Takes effect: at start of next score

Example:
maxmeasures = 3

Related parameters: leftmargin, maxscores, packexp, packfact, rightmargin, scale, staffscale

## maxscores

specifies the maximum number of scores to print per page.

Value: 1 to 1000

Default value: 1000

Context: score

Takes effect: at next music context

Example:
maxscores=2

Related parameters: scorepad, scoresep

## measnum

specifies whether or not to print measure numbers. If set to "y," the current measure number will be printed at the beginning of each score other than the first. The number will be printed above any scores that would receive ending marks (see "endingstyle" parameter). If set to "n," no measure numbers will be printed. If set to "every N," measure numbers will be printed on every Nth bar line unless some other rehearsal mark has been specified on that bar.

Value: y, n, or every N, where N can be from 1 to 10000

Default value: n

Context: score

Takes effect: at next music context if "every N", else start of next score

Examples:
measnum = y
measnum = every 1 // number all measures
measnum = every 5

Related parameters: endingstyle, measnumfont, measnumfontfamily, measnumsize, measnumstyle, rehstyle

## measnumfont

This specifies which font type to use for the automatic measure numbers, if they are turned on via the measnum parameter.

Value: rom, ital, bold, or boldital

Default value: rom

Context: score

Takes effect: at next music context if "every N", else start of next score

Example:
measnumfont=boldital

Related parameters: measnum, measnumfontfamily, measnumsize, measnumstyle

## measnumfontfamily

This specifies which font family to use for the automatic measure numbers, if they are turned on via the measnum parameter.

Value: avantegarde, bookman, courier, helvetica, newcentry, palatino, or times

Default value: times

Context: score

Takes effect: at next music context if "every N", else start of next score

Example:
measnumfontfamily=helvetica

Related parameters: measnum, measnumfont, measnumsize, measnumstyle

## measnumsize

This specifies what size to use for the automatic measure numbers, in points, if they are turned on via the measnum parameter.

Value: 1 to 100

Default value: 11

Context: score

Takes effect: at next music context if "every N", else start of next score

Example:
measnumsize=15

Related parameters: measnum, measnumfont, measnumfontfamily, measnumstyle

## measnumstyle

This specifies whether to put automatic measure numbers inside boxes or circles, or leave them plain.

Value: plain, boxed, or circled

Default value: plain

Context: score

Takes effect: at next music context if "every N", else start of next score

Example:
measnumstyle=boxed

Related parameters: measnum, measnumfont, measnumfontfamily, measnumsize, rehstyle

## minalignscale

This specifies how much aligned strings can be compressed, in an effort to prevent them from running in the next item at the same alignment level. Only aligned things are ever compressed, and then only if they would collide with the the next item at the same level, and only as much as needed to make them fit, up the the limit of this parameter. Multiplying this value by the normal width of an item will tell the shortest width Mup will compress to before giving up and printing a warning. A value of 1.0 means nothing will ever be compressed at all.

Value: 0.1 to 1.0

Default value: 0.667

Context: score, staff

Takes effect: at start of next score

Example:
minalignscale = 0.85

## mingridheight

This specifies the minimum number of frets to print on grids. Grids will be made taller than this when necessary, but will never be shorter than this.

Value: A number from 2 to 99

Default value: 4

Context: score, staff

Takes effect: at next music context

Example:
mingridheight=6

Related parameters: gridfret, gridsatend, gridscale, gridswhereused

## noteheads

The noteheads parameter describes which note head shape(s) to use for each pitch in the scale. If you want to use the same shape for all pitches, as is the case with standard notation, the value is a string containing a single shape name (e.g., "norm" for standard notation). If you want to use different shapes for different pitches, the noteheads parameter value is a string containing a list of 7 shape names. They are listed in order starting from the "tonic" of the major key as indicated by the number of sharps or flats in the key signature. There are pre-defined head shapes: norm, x, allx, diam, blank, righttri, isostri, rect, pie, semicirc, slash, and allslash. Additional head shapes can be defined in the headshapes context. See the examples below for the most common settings for this parameter. Head shape can be overridden on an individual chord by using [hs "shapename"] before the chord. It can also be overridden on an individual note by putting hs "shapename" after the note.

Value: A string containing either 1 or 7 head shape names.

Default value: "norm"

Context: score, staff, voice

Takes effect: at next music context

Examples:
// This is the setting for the most common shaped note system using 4 shapes.
noteheads = "righttri norm rect righttri norm rect diam"
// This is the setting for a shaped notes system that uses 7 different shapes.
noteheads = "isostri semicirc diam righttri norm rect pie"

## noteinputdir

If set to any, then when there are multiple notes in a chord, the notes can be entered in any order, but any notes not in the default octave must have their octave specified, either by octave number, or the appropriate number of plus or minus signs, based on their distance from the default octave. When set to up, notes in a chord must be entered in pitch order from bottom up. When set to down, they must be entered in pitch order from top down. When in up or down mode, the first note's octave is specified as with any, but subsequent notes in the chord are relative to the previous note. Note letters less than or equal to an octave away from their preceding note's letter have no octave specified. For notes an octave or more away, in up mode, only plus signs can be used, and in down mode, only minus signs can be used, to specify how many octaves away they are. For example, for up mode, default octave of 4, and input of gbe, the b will be in octave 4, but the e will be in octave 5, because that is the next e that is upward from b4. In down mode with default octave of 4, and the same input of gbe. the b and e would both be in octave 3. This parameter is ignored on tablature staff input and when using chord-at-a-time input mode.

Value: up, down, or any

Default value: any

Context: score, staff, voice

Takes effect: at next music context

Example:
noteinputdir=up

## numbermrpt

If set to 'y' measure repeats are numbered; if set to 'n' they aren't.

Value: y or n

Default value: y

Context: score, staff

Takes effect: at next music context

Example:
numbermrpt = n

## ontheline

specifies whether notes for voices 1 and 2 on a 1-line staff are to be placed on the line. If this is set to n, notes with stem up will be placed above the line and notes with stem down will be placed below the line, otherwise both will be placed on the line. For notes that don't have a stem, the rules are applied using the direction the stem would be if there were a stem. This parameter has no effect on 5-line staffs or tablature staffs. Notes for voice 3 are always placed on the line on 1-line staffs, regardless of the value of this parameter.

Value: y or n

Default value: y

Context: score, staff, voice

Takes effect: at next music context

Example:
ontheline=n

Related parameters: stafflines

## packexp

sets note expansion factor. This factor controls spacing of notes relative to their time values. If set to 1.0, Mup will try to give a half note twice as much space as a quarter note, a whole note twice as much as a half note, etc. If set to 0.0, a chord's time value will have no impact on its placement. Intermediate values will cause relative spacing between the two extremes. Note that individual chords may get more space than they would theoretically "deserve" if they happen to need extra space to accommodate accidentals, dots, etc.

Value: a number from 0.0 to 1.0 inclusive

Default value: 0.8

Context: score

Takes effect: at next music context

Example:
packexp = 0.95

Related parameters: packfact, pad

## packfact

specifies how tightly to pack notes together on output. The smaller the value, the more tightly notes are packed together.

Value: a number from 0.0 to 10.0

Default value: 1.0

Context: score

Takes effect: at start of next score

Example:
packfact = 1.4

Related parameters: packexp, pad

## pad

specifies the amount of padding to be added to notes. This can be used to control how tightly things are packed together. Especially if packexp and packfact are very small, notes can get placed very close together. This parameter can be used to always force a minimum amount of space between horizontally adjacent note groups. A value of zero means notes will be allowed to just touch. More positive values cause more space around notes. A negative value will let things actually overlap, so most people will probably never want to use a negative value, but the option is there if you want to do something unusual. This parameter works somewhat like the "pad" value that can be specified for individual note groups, except that it applies to all groups.

Value: a number of stepsizes, -5.0 to 50.0

Default value: 0.3333

Context: score, staff, voice

Takes effect: at next music context

Example:
pad = 1.76

Related parameters: packexp, packfact

## pageheight

Set the page height. If the units parameter is inches, the value of pageheight is given in inches, or if the units parameter is cm, it is given in centimeters. This parameter can only be specified before any music or block input. If the pagewidth and pageheight parameters are set to values that match a standard paper size in landscape mode, the Mup output will be rotated to print properly in landscape mode.

Value: 2.0 to 24.0 inches or 5.0 to 61.0 cm

Default value: 11.0 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
pageheight = 9

Related parameters: pagewidth, bottommargin topmargin, units

## pagesize

Set the page size. This is just an alternate way of specifying pageheight and pagewidth using the common names for paper sizes rather than specifying in inches or cm. An orientation (portrait or landscape) can also be specified; the default is portrait. This parameter can only be specified before any music or block input.

Value: letter, legal, flsa, halfletter, a4, a5, a6; optionally followed by portrait or landscape.

Default value: letter

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Examples:
pagesize = a4
pagesize = legal landscape

Related parameters: pageheight, pagewidth, panelsperpage

## pagewidth

Set the page width. If the units parameter is inches, the value of pagewidth is given in inches, or if the units parameter is cm, it is given in centimeters. This parameter can only be specified before any music or block input. If the pagewidth and pageheight parameters are set to values that match a standard paper size in landscape mode, the Mup output will be rotated to print properly in landscape mode.

Value: 2.0 to 24.0 inches or 5.0 to 61.0 cm

Default value: 8.5 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
pagewidth = 6.5

Related parameters: pageheight, flipmargins, leftmargin, rightmargin, units

## panelsperpage

Specifies how many pages of music to print on each physical page. This parameter can only be specified before any music or block input. Note that the pageheight and pagewidth parameters still apply to the physical paper size viewed in portrait mode, even when the panelsperpage value causes the printing to be landscape mode, so you should continue to leave those set as you normally would. The -o command line option may be useful for getting pages printed in desired order. For example, to make a 4-page booklet from a single sheet of paper folded in half, you can use panelsperpage=2, then use -o4,1 to print one side of the paper, and -o2,3 to print the other side. When panelsperpage is 2, the first page side is always left.

Value: 1 or 2

Default value: 1

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
panelsperpage=2

Related parameters: firstpage, pageheight, pagewidth

## pedstyle

Specifies whether to display piano pedal marks with lines or with the word "Ped" and "*". With the "pedstar" style, a "bounce" of the pedal is shown by a "* Ped" whereas with the "alt pedstar" style, only a "Ped" is printed.

Value: line, pedstar, or alt pedstar

Default value: line

Context: score, staff

Takes effect: at next music context

Example:
pedstyle = pedstar

## printkeymap

specifies which keymap to use for print, left, right, center, and title commands. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, block

Takes effect: immediately

Examples:
printkeymap="Cyrillic"
printkeymap=

Related parameters: defaultkeymap, endingkeymap, labelkeymap, lyricskeymap, rehearsalkeymap, textkeymap, withkeymap

## printmultnum

If set to 'y' multirests are labeled with the number of measures of rest they represent; if set to 'n' they aren't. This would allow you to print some other commentary in place of the number, print it in a different style, etc.

Value: y or n

Default value: y

Context: score, staff

Takes effect: at next music context

Example:
printmultnum = n

## rehearsalkeymap

specifies which keymap to use for rehearsal mark strings. This does not apply to lettered or numbered rehersal marks. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: at next music context

Examples:
rehearsalkeymap="Cyrillic"
rehearsalkeymap=

Related parameters: defaultkeymap, endingkeymap, labelkeymap, lyricskeymap, printkeymap, textkeymap, withkeymap

## rehstyle

Specifies whether to enclose rehearsal marks inside box, inside a circle, or just as plain text.

Value: boxed, circled, or plain

Default value: boxed

Context: score, staff

Takes effect: at next music context

Example:
rehstyle = circled

Related parameters: endingstyle

## release

Specifies how soon (in milliseconds) before the full time value of note to release the note when generating MIDI output. This controls how legato (smooth) the music is. A value of 0 will make it very legato. The larger the value, the more detached notes will be. This parameter specifies a maximum amount to shorten notes; a note will never be shortened to less than 75% of its full value, unless it has a dot or wedge on it, it which case the shortening can be a maximum of half or 2/3 respectively. release can be changed in the middle of a measure using a construct like <<score release=50>> before a note group.

Value: 0 to 500

Default value: 20

Context: score, staff, voice

Takes effect: at next music context, or immediately if mid-measure

Example:
release = 40

## repeatdots

If set to "standard" repeat signs are printed using the standard convention of two dots. If set to "all" repeat signs are printed with dots between all the lines of the staff.

Value: standard or all

Default value: standard

Context: score, staff

Takes effect: at next music context

Example:
repeatdots = all

Related parameters: bracketrepeats

## restcombine

If the given number of measures of rest occur in a row, they will be replaced by a multirest. This parameter can be overridden by the -c command line option. See the description of the -c option for more complete information on how the combining is done.

Value: 2 to 1000 or nothing

Default value: not set

Context: score

Takes effect: whatever the value is at the end of a series of rest measures is what is used

Examples:
restcombine = 5
restcombine = // turn off combining

## restsymmult

Multi-rests are normally drawn as a horizontal line on the middle line of the staff, with two vertical lines at the end. But there is an alternate notation style that uses rest symbols (whole, double whole, and quad whole) when the number of measures is short. If this parameter is set to y, that alternate style will be used for multirests of eight measures or less.

Value: y or n

Default value: n

Context: score, staff

Takes effect: at next multirest. When used with restcombine, if you set this after the first rest measure it has no effect

Example:
restsymmult = y

Related parameters: printmultnum

## rightmargin

sets the amount of white space margin to put at the right side of each page. It is specified in inches if the units parameter is set to inches, or in centimeters if the units parameter is set to cm. This parameter can only be specified before any music or block input. Margins are unaffected by the "scale" parameter. You can use the flipmargins parameter to adjust alternating pages to allow room for book binding.

Value: 0.0 to pagewidth minus 0.5 inches

Default value: 0.5 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
rightmargin = 0.3

Related parameters: bottommargin, flipmargins, leftmargin, topmargin, pagewidth, units

## scale

Scale the printed output by the specified factor. For example, scale=2 prints everything twice as large as normal, while scale=0.5 prints everything at half size. This parameter can only be specified before any music or block input.

Value: A number between 0.1 and 10.0

Default value: 1.0

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
scale=0.95

Related parameters: packfact, packexp, staffscale

## scorepad

sets the amount of padding (white space) to leave between scores, accounting for all the things that protrude from both scores. Either a single number, giving a minimum amount, or two numbers, giving a minimum and maximum, can be specified. They are specified in stepsizes. If only the minimum is specified, and it is larger than the default maximum of 2.0, the maximum will be adjusted to equal the minimum. Depending on the setting of the scoresep parameter, the maximum may be exceeded; see the description of scoresep for how these parameters interact to determine the placement of the scores. If a negative value is specified for scorepad, some overlap may occur, (subject to the interaction with scoresep). Specifying a negative value may be particularly useful when things protrude downward from the top score and upward from the bottom score, but at different places horizontally, such that it is actually safe to put the scores closer together without collision, even though Mup can't tell that it is safe. Note, however, that this overrides Mup's protection against real collisions, so this must be used with care to avoid undesired overlaps.

Value: one or two numbers, in the range from negative the height of the page and the height of a page, in stepsizes. If there are two numbers, they are separated by a comma, and the second must be greater than or equal to the first.

Default value: 2.0, 2.0

Context: score

Takes effect: between the current score and the next score

Examples:
scorepad = 5
scorepad = -1
scorepad = 3.5,10.75

Related parameters: scoresep, staffpad, staffsep

## scoresep

sets how much space to leave between scores; i.e., between the bottom line of the bottom staff of one score and the top line of the top staff of the following score. Either a single number, giving a minimum amount, or two numbers, giving a minimum and maximum, can be specified. They are specified in stepsizes. If only the minimum is specified, and it is larger than the default maximum of 20.0, the maximum will be adjusted to equal the minimum. Depending on the setting of the scorepad parameter, the maximum may be exceeded. The parameters interact as follows in determining the layout of a page: As many scores are allocated to the page as will fit (or until a "newpage" command is encountered). Initially, they are packed together as tightly as they can be without violating the minimum values of scorepad and scoresep between any neighboring scores. Next, if there is extra space available at the bottom of the page, the scores are spread out, increasing the white space between them, but not increasing any beyond the maximum scorepad value. (Some may however already be beyond the maximum scorepad value, because the minimum scoresep value required it.) This spreading is done without regard for the maximum scoresep value. If any of the inter-score gaps start narrower than others (because of the minimum scoresep), they are increased first, in an attempt to even out the differences. If the maximum scorepad value is reached or exceeded between all the scores, and there is still extra space available at the bottom of the page, then the scores are spread out some more, increasing the white space between them, this time ignoring the scorepad values, but not increasing any beyond the maximum scoresep value. (Some may however already be beyond the maximum scoresep value, because of the previous steps.) If still not all the space is used up, it remains as extra space at the bottom of the page.

Value: one or two numbers, in the range from 6.0 to the height of the page in stepsizes. If there are two numbers, they are separated by a comma, and the second must be greater than or equal to the first.

Default value: 12.0, 20.0

Context: score

Takes effect: between the current score and the next score

Examples:
scoresep = 25
scoresep = 9.6, 15.3

Related parameters: scorepad, staffpad, staffsep

## size

specifies what point size to use for text in print, title, left, right, and center statements, and "with" lists (i.e., strings that are associated with a particular chord). It also provides the default for rom, bold, ital, and boldital statements.

Value: a number from 1 to 100 inclusive

Default value: 12

Context: score, staff, header, footer, header2, footer2, top, bottom, top2, bottom2, block

Takes effect: immediately

Example:
size = 9

Related parameters: font, fontfamily, lyricssize, withsize

## slashesbetween

specifies whether to put two thick slanted lines between scores at the left edge of the staffs. These are often used when there are a lot of staffs, or when the number of scores per page varies, to help the musicians see clearly where the next score begins.

Value: y or n

Default value: n

Context: score

Takes effect: between the current score and the next score

Example:
slashesbetween=y

## stafflines

specifies how many lines to draw for the staff. Normally, there are 5 lines per staff, but a single line staff is sometimes used for percussion, and tablature staffs for various instruments may have different numbers of lines. Setting this parameter to 1 will produce a single line staff. The number of lines can be followed by "n" to indicate that clef and key signature are not to be printed. The "n" also implies that accidentals are to be ignored and that notes are never to be transposed. If the number of lines is 1, the clef and key signature are never printed, regardless of whether or not you add the "n," so the "n" is really only meaningful when used with 5. When stafflines=1, you can only have one note per chord, and the pitch of that note is irrelevant, except for MIDI output. Alternately, rather than specifying "n" you can specify "drum" which means to use the drum clef (also sometimes called the "neutral" clef). With the drum clef, no key signature is printed, accidentals are ignored, and notes are never transposed. The value used for the clef parameter is used to determine the pitch for placement of notes in this case, but the drum clef of two vertical lines is printed. For a tablature staff, rather than specifying a number of staff lines as the value, the keyword "tab" is used, optionally followed by a list of strings in parentheses. The strings are listed in order from the top line of the tablature staff to the bottom. Each item in the list has at least a string pitch, which is a letter from a to g, optionally followed by # or &. If there is more than one string having the same letter/accidental, they are distinguished by adding one or more single quote marks ("ticks"). An octave number can also be specified. If the list of strings is omitted, standard guitar strings are used, which is tab( e5 b4 g4 d4 a3 e'3 ). Tablature can only be specified in staff context, not score or voice, and when a tablature staff is specified, the staff above it becomes a "tabnote" staff which is a normal 5-line staff containing music derived from the tablature staff. The list of strings, if any, can optionally be followed by y or n. Using y will cause the word TAB to be printed vertically at the beginning of every score. Using n will cause that to never to be printed. Not specifying either will cause it to be printed only on the very first staff, which is the most common way of printing tablature.

Value: 1 or 5, optionally followed by "n" or "drum"; or for tablature staff, the keyword "tab" optionally followed by a list of strings, in parentheses, optionally followed by y or n. Setting the stafflines parameter will also reinitialize other parameters: key, transpose, addtranspose, clef, beamstyle, and defoct.

Default value: 5

Context: score, staff

Takes effect: immediately for purposes of checking for interactions with other parameters. Forces new score if the number part of it changed. In any case, the "n" part takes effect at the next score.

Examples:
stafflines=1
stafflines=5n
stafflines = tab // standard guitar tablature staff
stafflines = tab ( g3 d3 a2 e2 ) // standard bass guitar
stafflines = tab (d# g b3 g'3)
stafflines = tab y // print TAB "clef" on every score

Related parameters: clef, key, transpose, addtranspose

## staffpad

sets the minimum amount of space to leave between staffs, accounting for all the things that protrude from both staffs. If a negative value is specified, some overlap may occur, although it will still be limited by the value of the staffsep parameter. Specifying a negative value may be particularly useful when things protrude downward from the top staff and upward from the bottom staff, but at different places horizontally, such that it is actually safe to put the staffs closer together without collision, even though Mup can't tell that it is safe. Note, however, that this overrides Mup's protection against real collisions, so this must be used with care to avoid undesired overlaps. If this parameter is set in staff context for staff N, it affects the distance from staff N to staff N+1.

Value: a number between negative the height of the page and the height of a page, in stepsizes.

Default value: 0

Context: score, staff

Takes effect: at start of next score

Example:
staffpad = -2
staffpad = 1.6

Related parameters: scorepad, scoresep, staffsep

## staffs

specifies the number of staffs. It is possible that not all of these staffs will be printed (see the "visible" parameter below and the -s command line argument). Changing the number of staffs causes all parameters that had been set in staff and voice context to be set back to their default values. It is usually preferable to only set the staff parameter once at the beginning of a song, and use the "visible" parameter when you want to change which staffs are actually printed, rather than changing the number of staffs.

Value: a number between 1 and 40 inclusive.

Default value: 1

Context: score

Takes effect: forces new score if it changed

Example:
staffs = 12

Related parameters: visible

## staffscale

Specifies how to scale the size of a staff relative to the size of other staffs. A value of 1.0 yields the normal size, whereas 0.5 yields a staff that is half as high, and 2.0 one that is twice as high as normal, and so forth. This might be used, for example, for a piece written for two instruments, say piano and violin, where you want the piano part to be written in normal size, but want to show the violin part in smaller size, such that while the pianist will have the violin part available for reference, it won't take up a lot of space. Another possible use is to set staffscale in score context, to make all staff-related things a different size, but leave other things, like headers and footers, unaffected.

Value: 0.1 to 10.0

Default value: 1.0

Context: score, staff

Takes effect: forces new score if it changed

Example:
staffscale=0.75

Related parameters: scale

## staffsep

specifies the minimum amount of space to leave between any two adjacent staffs within the same score. It is specified in stepsizes, and is measured from the bottom line of the staff above to the top line of the staff below. Staffs will be spread wider than this minimum if necessary to prevent things from colliding. If this parameter is set in staff context for staff N, it affects the distance from staff N to staff N+1.

Value: a number from 6.0 to the height of the page in stepsizes

Default value: 10

Context: score, staff

Takes effect: at start of next score

Example:
staffsep = 14
staffsep = 17.8

Related parameters: scorepad, scoresep, staffpad

## stemlen

Specifies how long stems should be, in stepsizes. This is for normal-sized chords; grace or cue size chords will gets stems that are 5/7 of this length. This length can be overridden on specific chords using the len attribute in backets before the chord. Stem lengths can also be affected by the stemshorten parameter.

Value: 0.0 to 100.0

Default value: 7.0

Context: score, staff, voice

Takes effect: at next music context

Example:
stemlen = 0 // to make all notes stemless

Related parameters: stemshorten

## stemshorten

There are several circumstances in which Mup normally shortens stems slightly in an attempt to improve appearance. This parameter will accept one, two, or four values to control how stems are affected in those cases. On beamed chords, Mup will sometimes shorten stems slightly. This first value of this parameter lets you control the maximum amount of shortening that will ever be done on beamed notes. It is specified in stepsizes. The remaining three (optional) values control how Mup shortens stems that protrude from the staff. Most publishers of music shorten such stems somewhat, but there is some inconsistency in exactly how much. The second value to this parameter specifies the maximum amount to shorten any protruding stem, in stepsizes. The third and fourth specific at what point to begin shortening and at what point to reach the maximum shortening. These are specified in number of stepsizes from the middle line of the staff. Note that Mup will still lengthen stems from this value if necessary to accomodate things like dots or flags. By default, Mup will use full length stems (normally 7.0 stepsizes) for any stem-up note at or below the middle line of the staff, and for any stem-down note at or above the middle line of the staff. Beyond there, it will gradually shorten stems until they get down to 5.0 stepsizes in length (2.0 stepsizes worth of shortening) for notes 6 stepsizes or more away from the middle line. So using a treble clef staff as an example, stem-up notes b or lower will normally get stems 7.0 stepsizes long (or even longer if necessary), but the c right above there will be a little shorter, and so on until the a on the first ledger line above the staff is the maximum shortening of 2.0 stepsizes. You can always override on individual chords using [len=N] to force a particular length.

Value: 0.0 to 2.0 for maximum beam shortening, 0.0 to 7.0 for maximum shortening of stems that protrude from the staff, and -4 to 50 for where to begin and end shortening of protruding stems.

Default value: 1.0, 2.0, 1, 6

Context: score, staff, voice

Takes effect: at next music context

Examples:
stemshorten = 0 // never shorten any beamed stems
stemshorten = 0, 0 // never shorten any stems
// For beams, allow shortening up to 1.5 stepsizes.
// For protruding, start shortening 4 stepsizes from the
// middle line (i.e., f+ assuming treble clef),
// and reach maximum shortening of 3.5 stepsizes
// at 12 stepsizes from the middle line (g++).
stemshorten = 1.5, 3.5, 4, 12

Related parameters: stemlen

## swingunit

This parameter only affects MIDI output. Some styles of music are often written in "swing time," meaning the players are expected to play pairs of notes with the first twice as long as the second, even though they are written as if they were the same duration, or as if the first was three times as long as the second. The most common example would be where the written notation shows two eighth notes like 8;; or a dotted rhythm like 8.;16; but the musician "knows" that the composer really intended it to be played as if it were a triplet {4;8;}3; This parameter adjusts the Mup MIDI output to follow this performance convention. If this parameter is set, each measure is divided into segments of durations of "swingunit," starting at the beginning. (Usually the time signature divided by swingunit will be a whole number, but if not, the last piece will be shorter.) Then within each segment, the time where one group ends and the next group starts will be altered in either of these two circumstances: (1) The current boundary time is halfway into a swingunit, and each group is at least half a swingunit long, or (2) The current boundary time is 3/4 of the way into a swingunit, and the first group is at least 3/4 of a swingunit long, and the second group is at least 1/4 of a swingunit long. In both of these cases, the durations are altered so that the meeting point is 2/3 of the way into the swingunit.

Value: A time value, like 2, 4, or 8, or not set to anything. It can be a dotted value like 2. or 16.. although dotted values are rarely likely to be useful. It can even be a time expression like 2.-32 although that is even less likely to be useful.

Default value: not set

Context: score, staff, voice

Takes effect: at next music context

Examples:
swingunit = 4
swingunit = // turn off swing

Related parameters: timeunit

## sylposition

A | can be used in lyrics at the beginning of a syllable (after anything in angle brackets) to indicate syllable alignment. This will override the lyricsalign parameter, and may be useful for aligning verse numbers or to make syllables at the beginning of poetic lines line up. If the | is not preceded by a number, the sylposition parameter specifies the default alignment value to use. It is the number of points (1 point is 1/72 of an inch) from the horizontal "middle" of the chord to place the left edge of the syllable. Negative values are to the left of the middle, positive to the right, so this value is usually negative.

Value: -100 to 100

Default value: -5

Context: score, staff

Takes effect: at next music context

Example:
sylposition = -4

Related parameters: lyricsalign

## tabwhitebox

says whether or not to put a small white box behind each fret number on tablature staffs. This may make the music a little easier to read, since the staff lines won't be going through the middle of the fret numbers.

Value: y or n

Default value: n

Context: score, staff, voice

Takes effect: at next music context

Examples:
tabwhitebox = y

Related parameters: stafflines

## textkeymap

specifies which keymap to use for rom, ital, bold, and boldital commands. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: at next music context

Examples:
textkeymap="Cyrillic"
textkeymap=

Related parameters: defaultkeymap, endingkeymap, labelkeymap, lyricskeymap, printkeymap, rehearsalkeymap, withkeymap

## time

sets the time signature. Music data for each measure is checked to ensure that the total time in the measure for each voice and verse adds up to exactly the time signature. Setting the time parameter will also reinitialize the timeunit parameter and the beamstyle parameter to their most recent values for the same time signature (which would be their default values if they had never been explicitly set for this time signature).

Value: either a ratio of the form N/D or the word "cut" or "common." If the ratio form is used, N must be between 1 and 99 inclusive, and D must be 1, 2, 4, 8, 16, 32, or 64. The numerator of the time signature can be the sum of several numbers, as in 3+4/4 or 2+3+2/2. You can also have several fractions added together, as in 3/4 + 4/4. It is also possible to provide "alternating" time signatures, where you list two (or more, although two is typical) time signatures separated by white space. Each measure then uses the next time signature in the list. For example, for 3/4 4/4, the first measure would be in 3/4 time, the second measure in 4/4, the third back in 3/4, the fourth in 4/4, and so forth. It is possible to combine all the various complexities, with things like 3+4/8 + 2+3/4 4+3/4 although that would be very uncommon. The time signature can optionally be followed by the letter n to specify that the time signature is not to be printed. Or it can be followed by the letter y, which causes alternating time signatures to be treated differently. By default, the alternating signature are printed just once, as a list, and the performer has to remember that each subsequent measure has a different time signature. Using y forces Mup to print the appropriate time signature on each measure.

Default value: 4/4

Context: score

Takes effect: immediately

Examples:
time = 6/8
time = cut
time = 13/16n
time = 2+3+4 / 8 // additive numerator
time = 3/4 + 4/4 // fractions added together
time = 4/4 3/4 // alternating
time = 3/4 6/8 y // alternating, printing time sig on every measure

Related parameters: timeunit

## timeunit

sets the default time unit. If the first note of a measure has no time value specified, the value of the timeunit parameter will be used. If the time signature is changed, the timeunit parameter reverts back to its previous value for that time signature, which defaults to the value of the denominator (bottom number) of the new time signature.

Value: 1/4, 1/2, 1, 2, 4, 8, 16, 32, 64, 128, or 256 representing quadruple whole, double whole, whole, half, quarter, eighth, sixteenth, thirty-second, sixty-fourth, 128th, or 256th, followed by zero or more dots. Each dot adds 50% of the previous note or dot to the time. It can also be a time expression, like 2+8 or 1-4+16. The time value must be less than or equal to the time signature. The timeunit value can be reinitialized indirectly by setting the time parameter. Setting the time parameter will set the timeunit to the value used most recently for that time signature.

Default value: The denominator (bottom number) of the time signature

Context: score, staff, voice

Takes effect: at next music context

Examples:
timeunit = 2
timeunit = 4.
timeunit = 2 + 8

Related parameters: swingunit, time

## topmargin

sets the amount of white space margin to put at the top of each page. It is specified in inches if the units parameter is set to inches, or in centimeters if the units parameter is set to cm. This parameter can only be specified before any music or block input. Margins are unaffected by the "scale" parameter.

Value: 0.0 to pageheight minus 0.5 inches

Default value: 0.5 inches

Context: score

Takes effect: applies to entire input, and cannot be changed after music input

Example:
topmargin = 0.8

Related parameters: bottommargin, leftmargin, rightmargin, pageheight, units

## transpose

specify by what interval to transpose the music data. The interval can be larger than an octave, but must be a valid interval (e.g., there is no such thing as a perfect 6th). It is an error to specify a transposition value which would result in a key signature with more than 7 flats or sharps. It is also an error if transposition would result in a note requiring a triple sharp or triple flat.

Value: the word "up" or "down," followed by an interval and a whole number greater than 0. The interval is one of major, minor, augmented, diminished, or perfect. The intervals can be abbreviated to their first 3 letters (maj, min, aug, dim, or per). The section on transposition lists transposition intervals and gives further details. Depending on which key signature you are transposing from, some transposition intervals may not work because they result in more than 7 flats or sharps. There is also another parameter called addtranspose. Typically you would use the transpose parameter to change the key of individual staffs (for transposing instruments), and then use the addtranspose parameter if you want to change the key of the entire score. But either of these parameters can be used either way. In any case, for each staff, and for the score, the values of transpose and addtranspose are "added" to find the transposition for that staff or score.

Default value: up perfect 1 (i.e., no transposition)

Context: score, staff

Takes effect: at next music context

Examples:
transpose = up minor 3
transpose = down perfect 4

Related parameters: a4freq, addtranspose, key, useaccs

## tuning

specify what tuning system to use for the "white" notes" (a through g) and the standard accidentals. In equal temperament, each octave is divided into 12 equally spaced half steps, with the frequency of each note being the twelfth root of 2 times that of the note below it. In pythagorean tuning, perfect fifths have a ratio of 3/2. In meantone, major thirds have a ratio of 5/4. See the chapter on Custom Accidentals and Alternate Tunings for more information.

Value: equal, pythagorean, or meantone

Default value: equal

Context: score

Takes effect: at next music context

Example:
tuning = meantone

Related parameters: a4freq, acctable

## units

Specifies whether margin and page size parameters are specified in inches or in centimeters.

Value: inches or cm

Default value: inches

Context: score

Takes effect: immediately

Example:
units = cm

Related parameters: topmargin, bottommargin leftmargin, rightmargin, pageheight, pagewidth

## useaccs

specifies whether to use accidentals throughout rather than a normal key signature. A value of "n" means to use a key signature, and only use accidentals where specified by the user. A value of "y none" means to not use a key signature, but instead add accidentals everywhere as would be required by the key signature, using the standard practice that an accidental remains in effect for the remainder of the current measure. A value of "y all" causes accidentals to be placed on every single note. A value of "y nonnat" causes accidentals to be placed on every single note except when the accidental would be a natural, with naturals only printed when they would be required when using none. A "y" by itself without a qualifier is an abbreviation for the "y none" value. When using this parameter, you may sometimes want to use the carryaccs parameter as well.

Value: n, y none, y all, y nonnat

Default value: n

Context: score, staff

Takes effect: at next music context. If you turn it on in the middle of a score, it prints a key signature of naturals to cancel the key signature.

Example:
useaccs = y all

Related parameters: addtranspose, carryaccs, key, cancelkey, transpose

## vcombine

This parameter tells Mup to combine the specified voices onto a single stem whenever possible. One common use would be if you want multiple voices for MIDI purposes, but want them printed on the same stems. Another typical use would be to obtain a printing style common for hymns and certain other styles of music, where the two voices on each staff are printed on one common stem whenever possible, but when a note is shared between two voices, two opposing stems are used to make it clear the note is indeed shared. The value of this parameter is a list of voices plus an optional qualifier. The list format is like elsewhere for voices; common examples would be `1,2` or `1-3` or `2-3`. Order of voices is significant: sometimes Mup may have to choose between two possible combinations, so voices listed first get priority. The list of voices can be followed by a qualifier to specify what happens when voices overlap. If the qualifier is "nooverlap," voices will only be combined if the bottom note of the higher voice is higher than the top note of the lower voice. (That is the typical value for getting the hymn style described above.) If the qualifier is "shareone" the bottom note of the top voice must be no lower than than top note of the lower voice for combining to occur. If the qualifier is "overlap," combining will occur without regard for how the voices overlap. For the purpose of the qualifier, voice 1 is assumed to be the highest voice, voice 3 the middle voice, and voice 2 the lowest. If the qualifier is "restsonly", notes will never be combined, but rests will be combined whenever possible. If no qualifier is specified, the default is nooverlap. While the vcombine parameter is allowed to be used with any vscheme parameter value, using it with vscheme=1 is pointless, and only vscheme values of 2f and 3f are really appropriate. This parameters can be used with both voice-at-a-time and chord-at-a-time input styles. It has no effect on tablature or 1-line staffs. Note that there are various cases where combining will not be done, such as when time values or beamings are different in different voices, and cases where combining would cause information loss, such as when a shared note is tied in one voice but not another. In such cases, the usual non-combined format will be used.

Value: comma-separated list of voices or voice ranges, or nothing, optionally followed by nooverlap, shareone, overlap, or restsonly.

Default value: not set

Context: score, staff

Takes effect: at next music context

Examples:
vcombine=3,1-2 shareone
vcombine= // turn off combining

Related parameters: vscheme

## visible

specifies whether a staff or voice is actually to be printed. This can be useful for printing a subset of a full score. The value is either y or n, for yes or no, or whereused. When whereused is specified, if a staff has no notes or lyrics or other associated things on an entire score, that staff is not printed. This might be used, for example, to save paper on an orchestral score by only printing staffs for instruments when they are actually playing. At least one staff must be visible at all times. When an individual voice is made invisible, but the other voice(s) on that staff remain visible, all the tempo, dynamics, and similar marks associated with the staff will still be printed, since Mup cannot know for sure whether you meant them to be associated with a particular voice or with the staff as a whole. When MIDI output is generated, this parameter controls whether the staff or voice is audible, so you can control which voices are played. The -s command line argument can also be used to control which staffs are printed or played.

Value: y, n, or whereused

Default value: y

Context: score, staff, voice

Takes effect: at next music context. If it results in a staff becoming visible or invisible, it forces a new score

Example:
visible = n

Related parameters: brace, bracket, endingstyle, staffs

## vscheme

sets voice scheme. A value of 1 means there is only a single voice on a staff. The direction of note stems will be determined based on how high or low the notes are on the staff. A value of 2o means there are two voices with "opposing" stems. In other words, the stems of voice 1 will always point upward, and the stems of voice 2 will always point downward, unless they are explicitly forced the other way. A value of 2f means there are two voices with "free" or "floating" stems. That means in places where there are notes or rests in both voices, stem directions will be as if 2o were set. However, if one of the voices has "space" where there are no notes or rests, the stem directions of the other voice will be determined as if there were only a single voice. 2o is useful if you want to force stem directions a certain way. 2f is generally preferable when there are two voices only part of the time. The values 3o and 3f are like 2o and 2f except that a third voice is allowed. The third voice's stem defaults to up, but the direction can be changed at any chord. The stem direction remains in effect on subsequent chords of voice 3 until explicitly changed. While there can be voice crossings, in general voice 1 should be the "top" voice, voice 2 the "bottom" voice, and voice 3 the "middle" or "extra" voice. Mup does not use voice 3 when associating things like phrase marks and lyrics with chords. Setting vscheme to a different number of voices will reinitialize all voice level parameters for the affected staffs.

Value: 1, 2o, 2f, 3o, or 3f

Default value: 1

Context: score, staff

Example:
vscheme = 2f

Takes effect: immediately for purposes of checking for interactions with other parameters, at next music context for printing

Related parameters: vcombine

## warn

specifies whether to print warning messages or not. Normally, Mup will print warnings when it encounters input that it considers somewhat dubious. Sometimes, however, that input will really be what you want, so this parameter allows you to turn off warning messages.

Value: y or n

Default value: y

Context: score

Takes effect: immediately

Example:
warn = n

## withfont

This specifies which font type to use for text strings printed with chords using [with "string"].

Value: rom, ital, bold, or boldital

Default value: rom

Context: score, staff, voice

Takes effect: at next music context

Example:
withfont=boldital

Related parameters: font, fontfamily, size, withfontfamily, withsize

## withfontfamily

This specifies which font family to use for text strings printed with chords using [with "string"].

Value: avantgarde, bookman, courier, helvetica, newcentury, palatino, or times

Default value: times

Context: score, staff, voice

Takes effect: at next music context

Example:
withfontfamily=helvetica

Related parameters: font, fontfamily, size, withfont, withsize

## withkeymap

specifies which keymap to use for text strings printed with chords using [with "string"]. See the section on keymaps in the Text Strings chapter for more details.

Value: a string matching the name of a keymap defined earlier, or nothing. An empty string ("") means don't do any mapping. Setting to nothing unsets any previous value, which effectively causes the defaultkeymap value to be used.

Default value: nothing

Context: score, staff

Takes effect: at next music context

Examples:
withkeymap="Cyrillic"
withkeymap=

Related parameters: defaultkeymap, endingkeymap, labelkeymap, lyricskeymap, printkeymap, rehearsalkeymap, textkeymap

## withsize

This specifies which size to use for text strings printed with chords using [with "string"], specified in points.

Value: 1 to 100

Default value: 12

Context: score, staff, voice

Takes effect: at next music context

Example:
withsize=15

Related parameters: font, fontfamily, size, withfont, withfontfamily

<-- previous page Table of Contents Index next page -->